curl --request GET \
--url https://api.fabric.inc/v3/location-zones/{zoneId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/location-zones/{zoneId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/location-zones/{zoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"zoneId": "9372919a8219e8",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
],
"createdAt": "2022-05-12T09:30:31.198Z",
"updatedAt": "2022-05-12T09:30:31.198Z"
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"message": "Zone with zoneId: 9372919a8219e8 not found"
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Get Zone by ID
Retrieves the details of a specific location zone by its unique zoneId.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Unique request ID
x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is an optional field. The default US channel is 12 while the default Canada channel is 13.
Path Parameters
System-generated unique ID to identify the zone.
Response
Zone
Zone response
Zone name
"US_LOCATIONS"
Zone type
ABSOLUTE, TIERED "ABSOLUTE"
System-generated unique ID to identify the zone
"9372919a8219e8"
Detailed description of the zone
"Specific zone for US Locations"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Zone created date
"2022-05-12T09:30:31.198Z"
Time of last update to zone (UTC)
"2022-05-12T09:30:31.198Z"
Was this page helpful?
